import { http } from '../request/request';

/**
 * 家长老师-奖励管理
 * @param data 请求参数
 */
export const getRewardListApi = async (params: any) =>
    await http.get<any>('/userRewardMapping/list', params);

/**
 * 家长老师-新增奖励
 * @param data 请求参数
 */
export const addRewardApi = async (data: any) =>
    await http.post<any>('/userRewardMapping', data);

/**
 * 家长老师-修改奖励
 * @param data 请求参数
 */
export const updateRewardApi = async (data: any) =>
    await http.put<any>('/userRewardMapping', data);

/**
 * 家长老师-删除奖励
 * @param data 请求参数
 */
export const deleteRewardApi = async (ids: string) =>
    await http.del<any>(`/userRewardMapping/${ids}`);

/**
 * 家长老师-奖励详情
 * @param data 请求参数
 */
export const getRewardDetailApi = async (id: string) =>
    await http.get<any>(`/userRewardMapping/${id}`);
